Market Radar API
API referenceCompanies

Add a company

POST
/companies

Authorization

key
AuthorizationBearer <token>

A key created in the app under Settings, API and MCP. Read keys read; Read and write keys also add, edit and delete companies, custom sources, groups and radars, and create, rename and delete folders.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/companies" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "website": "string"  }'
{  "id": 1,  "name": "string",  "website": "string",  "logo_url": "string",  "linkedin_url": "string",  "groups": [    {      "id": 1,      "name": "string"    }  ],  "radar_ids": [    1  ],  "created_at": "2019-08-24T14:15:22Z"}